/*******************************************************************************
Copyright © 2023 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Beim Programmieren der Klassendefinition wurden leider die Attribute vergessen. Ergänze nur sie! Welche Attribute es geben muss, wie sie heißen und was ihr Datentyp ist, das verraten dir die Getter und Setter (deren innere Sequenzen keinesfalls verändert werden dürfen).</p>",
	"code": "class MIETFAHRAD {\n    // Attribute? Oje, die fehlen…\n    \n    public String getBeschreibung() {\n        return this.beschreibung;\n    }\n    \n    public float getTagesmietpreis() {\n        return this.tagesmietpreis;\n    }\n    \n    public void setVerfuegbar(\n        boolean istVerfuegbar\n    ) {\n        this.verfuegbar = istVerfuegbar;\n    }\n}",
	"canReset": true,
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "MIETFAHRAD",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "beschreibung",
					"type": "String",
					"dimensions": 0,
					"static": false,
					"visibility": 0
				},
				{
					"part": "attribute",
					"name": "tagesmietpreis",
					"type": "float",
					"dimensions": 0,
					"static": false,
					"visibility": 0
				},
				{
					"part": "attribute",
					"name": "verfuegbar",
					"type": "boolean",
					"dimensions": 0,
					"static": false,
					"visibility": 0
				},
				{
					"part": "method",
					"name": "getBeschreibung",
					"type": "String",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [],
					"content": " return this.beschreibung;"
				},
				{
					"part": "method",
					"name": "getTagesmietpreis",
					"type": "float",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [],
					"content": " return this.tagesmietpreis;"
				},
				{
					"part": "method",
					"name": "setVerfuegbar",
					"type": "void",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [
						{
							"part": "variable",
							"type": "boolean",
							"dimensions": 0,
							"name": "istVerfuegbar"
						}
					],
					"content": "@this.verfuegbar = @1;"
				}
			]
		}
	]
}
